hpp-corbaserver: hpp::core_impl::PathOptimizerServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::core_impl::PathOptimizerServant< _Base, _Storage > Class Template Reference

`#include <hpp/core_idl/path_planners-fwd.hh>`

Inheritance diagram for hpp::core_impl::PathOptimizerServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::core_impl::PathOptimizerServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::core::PathOptimizer | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::core::PathOptimizer, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::PathOptimizer, HppBase)
| PathOptimizerServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~PathOptimizerServant ()
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
hpp::core_idl::PathVector_ptr | optimize (hpp::core_idl::PathVector_ptr path)
void | interrupt ()
void | maxIterations (hpp::size_type n)
void | timeOut (hpp::value_type seconds)
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::PathOptimizer, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::PathOptimizer, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::core::PathOptimizer, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::core::PathOptimizer hpp::core_impl::PathOptimizerServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ PathOptimizerServant()

template<typename _Base , typename _Storage >

hpp::core_impl::PathOptimizerServant< _Base, _Storage >::PathOptimizerServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~PathOptimizerServant()

template<typename _Base , typename _Storage >

hpp::core_impl::PathOptimizerServant< _Base, _Storage >::~PathOptimizerServant
| virtual

## Member Function Documentation

## ◆ deleteIfExpired()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::core_impl::PathOptimizerServant< _Base, _Storage >::deleteIfExpired

## ◆ deleteThis()

template<typename _Base , typename _Storage >

void hpp::core_impl::PathOptimizerServant< _Base, _Storage >::deleteThis

## ◆ interrupt()

template<typename _Base , typename _Storage >

void hpp::core_impl::PathOptimizerServant< _Base, _Storage >::interrupt

## ◆ maxIterations()

template<typename _Base , typename _Storage >

void hpp::core_impl::PathOptimizerServant< _Base, _Storage >::maxIterations | ( | hpp::size_type | n | ) |

## ◆ optimize()

template<typename _Base , typename _Storage >

hpp::core_idl::PathVector_ptr hpp::core_impl::PathOptimizerServant< _Base, _Storage >::optimize | ( | hpp::core_idl::PathVector_ptr | path | ) |

## ◆ persistantStorage()

template<typename _Base , typename _Storage >

void hpp::core_impl::PathOptimizerServant< _Base, _Storage >::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::core_impl::PathOptimizerServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::core_idl::PathOptimizer | ,
|  | HppBase |
| ) |  |

## ◆ timeOut()

template<typename _Base , typename _Storage >

void hpp::core_impl::PathOptimizerServant< _Base, _Storage >::timeOut | ( | hpp::value_type | seconds | ) |

The documentation for this class was generated from the following files:

- src/hpp/core_idl/path_planners-fwd.hh
- src/hpp/core_idl/path_planners.hh